{
        "name" : "TwitterSendDirectMessage",
        "displayName" : "TwitterSendDirectMessage",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.twitter.SendDirectMessageWorkitemHandler(\"consumerKey\", \"consumerSecret\", \"accessKey\", \"accessSecret\")",
        "documentation" : "twitter-workitem/index.html",
        "module" : "twitter-workitem",
        "icon" : "TwitterSendDirectMessage.png",
            "category" : "Twitter",
            "description" : "Update status and send messages using Twitter",
            "keywords" : [
                                "twitter"
                ,"tweet"
                ,"send"
                ,"message"
                ,"direct"

            ],
                "isaction" : "true",
                "actiontitle" : "Send a direct twitter message",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Twitter consumer key"
                                           }
                    ,{
                                               "name" : "Twitter consumer secret"
                                           }
                    ,{
                                               "name" : "Twitter access key"
                                           }
                    ,{
                                               "name" : "Twitter access secret"
                                           }

                ],
                "authreferencesite" : "https://developer.twitter.com/en/docs/basics/authentication/guides/access-tokens.html",
            "parameters" : [
                                   {
                                       "name" : "DebugEnabled",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Message",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "ScreenName",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "twitter-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}
,{
        "name" : "TwitterUpdateStatus",
        "displayName" : "TwitterUpdateStatus",
        "defaultHandler" : "mvel: new org.jbpm.process.workitem.twitter.UpdateStatusWorkitemHandler(\"consumerKey\", \"consumerSecret\", \"accessKey\", \"accessSecret\")",
        "documentation" : "twitter-workitem/index.html",
        "module" : "twitter-workitem",
        "icon" : "TwitterUpdateStatus.png",
            "category" : "Twitter",
            "description" : "Update status and send messages using Twitter",
            "keywords" : [
                                "twitter"
                ,"tweet"
                ,"update"
                ,"status"
                ,"message"

            ],
                "isaction" : "true",
                "actiontitle" : "Update your Twitter status",
            "requiresauth" : "true",
                "authparams" : [
                                           {
                                               "name" : "Twitter consumer key"
                                           }
                    ,{
                                               "name" : "Twitter consumer secret"
                                           }
                    ,{
                                               "name" : "Twitter access key"
                                           }
                    ,{
                                               "name" : "Twitter access secret"
                                           }

                ],
                "authreferencesite" : "https://developer.twitter.com/en/docs/basics/authentication/guides/access-tokens.html",
            "parameters" : [
                                   {
                                       "name" : "StatusUpdate",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "DebugEnabled",
                                       "type" : "new StringDataType()"
                                   }
                ,{
                                       "name" : "Media",
                                       "type" : "new StringDataType()"
                                   }

            ],
            "mavenDependencies" : [
                                   {
                                       "groupId" : "org.jbpm.contrib",
                                       "artifactId" : "twitter-workitem",
                                       "version" : "7.32.0.Final"
                                   }

            ]
}

,
